SpringBoardParserInternal::Shape Struct Reference

Internal: a structure used to store the shape data in SpringBoardParserInternal. More...

## Classes
struct | Paragraph
| a paragraph contained in a SpringBoardParserInternal::Shape More...

## Public Member Functions
| Shape ()
| constructor

## Public Attributes
int | m_type
| the shape type: 0: layout, 1: text, 2: graphic
std::vector< Paragraph > | m_paragraphs
| the list of paragraph
MWAWEntry | m_pictEntry
| the picture entry: graphic only

## Detailed Description

Internal: a structure used to store the shape data in SpringBoardParserInternal.

## Constructor & Destructor Documentation

## ◆ Shape()

SpringBoardParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_paragraphs

std::vector<Paragraph> SpringBoardParserInternal::Shape::m_paragraphs

the list of paragraph

Referenced by SpringBoardParser::parseShape(), SpringBoardParser::sendFrame(), SpringBoardParser::sendTextShape(), and Shape().

## ◆ m_pictEntry

MWAWEntry SpringBoardParserInternal::Shape::m_pictEntry

the picture entry: graphic only

Referenced by SpringBoardParser::parseShape(), SpringBoardParser::sendFrame(), and Shape().

## ◆ m_type

int SpringBoardParserInternal::Shape::m_type

the shape type: 0: layout, 1: text, 2: graphic

Referenced by SpringBoardParser::parseShape(), SpringBoardParser::sendFrame(), and Shape().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx